commit 2275ef9db7206516d87de37764133874b1f5c542
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sun Oct 25 00:17:00 2020 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index b858c4c782c..49d6a92f23f 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20201024
+20201025
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index bda8123fc88..912f437fffd 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,13 @@
+2020-10-24  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2020-10-24  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/96241
+	* constexpr.c (cxx_eval_array_reference): Set up ctx->ctor if we
+	are initializing an aggregate.  Call free_constructor on the new
+	CONSTRUCTOR if it isn't returned from cxx_eval_constant_expression.
+
 2020-10-22  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 66a258ace12..29b46f9dac5 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2020-10-24  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2020-10-24  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/96241
+	* g++.dg/cpp0x/constexpr-96241.C: New test.
+	* g++.dg/cpp1y/constexpr-96241.C: New test.
+
 2020-10-22  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:

